Break down motion with StroMotion

Images produced by StroMotion and StroMotion fixed give an athlete and coach unique insights to how an action develops. Each produces a panoramic still image or a video clip that contains collections of frozen images, revealing how rapid technical changes are made.

To imagine how this might help you, think of times when it might be useful to show your athlete their position on one frame of video then show it's consequences in another frame. How about educating your junior team about the correct sequence of actions to use? Sure you could print out some still pictures but StroMotion offers a juxtaposition of images which truly reveals how one action leads to the next.

There are two StroMotion modules:

StroMotion - for use when the camera has panned or zoomed during filming. It computes background movement to assess where the performer(s) image is to be fixed.

StroMotion fixed - for use when the camera stays "fixed". No change in zoom or panning must take place. Effectively StroMotion fixed works in the same way as StroMotion but there is no need to carry out the steps to calculate background movement.


StroMotion

StroMotion is used when the camera pans or zooms during filming. If the camera does not pan or zoom use the StroMotion Fixed module.

The process of creating a StroMotion clip involves 4 steps:

Step 1 - Load & trim the video clip

Step 2 - Camera movement computation

Step 3 - Panorama reconstruction

Step 4 - Draw clones & save results


Step 1 - Load & trim the video clip

Loading the video clip

Open the clip of your choice from the items list or tray.
The chosen clip may be changed by simply loading a different clip.

Trimming the clip (set cue in & out points)

The clip should be trimmed at the beginning and end of the movement that is to be turned into a StroMotion image.

Choose a start position with clear background features. This will help you match background features in step 2.

Click the Next button at the bottom right of the StroMotion module to proceed to the next step.


Step 2 - Camera movement computation

In step 2 camera movement is calculated. This is initiated by matching at least two background features in successive frames of the video clip by setting alignment points. StroMotion then computes the movement of the camera throughout the clip.

The points set as alignment points should be static, people are not a good choice of alignment point! They should also be obvious points in the background as StroMotion can't track the objects if they are blurred or similar in colour to the surrounding background.

To set alignment points

Click the left mouse button while pointing at an object (a flag, center line, pole, goal, etc.) that is present on both frames

The red alignment point which appears is labelled with a number. The same marker will appear on both images.

To exactly position alignment points on features, zoom in on that feature. To do this click the mouse on the feature while holding down the [ctrl] key on the keyboard (Left-click to zoom in and right-click to zoom out)

To adjust alignment points

In the image above the feature point labelled "2" is not marking the same place in both images. To correct this:

1. Right click on the incorrectly positioned alignment point to delete it.

2. Then left click the position where the alignment point should be.

Repeat this setting and adjusting operation until you have selected at least two alignment points

You can check how well the alignment points match by clicking the Visual Check button. A window opens showing the athlete moving against a static background. If the background appears to move or shift, you should check your alignment points or add further points until the background is relatively stationary.

Calculate camera movement

Click the Start button. Shading inside the timeline shows how much of the process is complete.

When the calculation is complete, you are ready to click the Next button to go to the next step.

The Show warping button allows you to check the result while the clip is being processed. If the background appears discontinuous as it is constructed , stop the computation and make further adjustments to the alignment points. This may also be caused by the tripod moving during filming.


Step 3 - Panorama reconstruction

Usually no action is required in step 3 as the panorama reconstruction begins immediately.

1. If it doesn't start then click the Start button. As before, timeline shading will show progress.

2. Click the Next button to proceed to the next step.


Step 4 - Draw clones & save results

This step is where you select the parts of the image which will stay fixed on the subsequent frames of video and will appear as "clones" on the panorama image. To do this you will:

1. Identify key frames in the video clip where the performer or object is in a position of interest.

2. Draw around the "clone" object using a range of clone drawing tools.

3. Repeat the above for all key frames.

4. Save the project, result clip or panorama image


Identifying key frames

Your task here is to find frames of video showing the athlete (or another object) in a key position of interest. This is the moment of action that you wish to freeze.

You should already be familiar with how to use the timeline to move through a video clip. It is worth remembering to use keyboard shortcuts [ctrl] + [left/right] cursor keys that will play one frame at a time and fine-tune your selection (read the Getting Familiar chapter to learn more).

to insert clones at a fixed interval use the Jumpsize control illustrated below to define the size of the "jump" and move backward and forward through the clip by this interval.


Drawing clone objects

Having found a key frame of video - one in which an athlete or object is in a position of interest, that athlete or object now must be cloned. You are not restricted to cloning a single object, so select all objects of interest in each key frame.

The objects or athletes that you want to clone are drawn, selected and manipulated using the tools on the right of the StroMotion module.

Select tool - select clones or move selection.
Rectangular clone tool - clone creation tool.
Freehand clone tool - freehand clone creation.
Delete selection - deletes the performer/object selected by the select tool.
Delete all - deletes all performers/objects on this frame.
Zoom in/out - zooms in on the point on the image that is clicked (right click to zoom out).

To create clones

Use the Rectangular clone tool or the Freehand clone tool tools to "draw" around the performer/object to be cloned.

To use the Rectangular clone tool

1. Click the Rectangular clone tool button.

2. Then point the mouse above and to the left of the object to be cloned.

3. Click & drag downwards and to the right until the selection box encompass the object while including as little background as possible.

To use the Freehand clone tool

1. Click the Freehand clone tool button

2. Click & drag around the object staying as close to the edge as possible.

If you miss part of an object during selection, don't delete the clone and start again, simply include the missed part as a new selection. More than one tool can be used and more than one selection can be made to create a clone as shown in the image below.

Which selection tool is best?

To answer that, remember that whichever tool you use, the selected area will stay fixed on the video image. If there is overlap between clones, the later clones will obscure the earlier ones.

Use the freehand tool when there will be a lot of overlap between the clones. For example in a gymnastic rings routine or high jump.

Use the rectangle tool when the clones will be spread out - the performer moves some distance between the key frames. For example in long jump.

To edit clones
1. Select the clone to edit by using the Select tool [image]. Click the tool then click the outline of the cloned area.
2. Selected clones can be deleted [image], moved by click & drag, or reshaped by dragging the "handles" at each edge or corner, see these illustrated below. All clones in a frame can be deleted using the [image] tool, it is not necessary to select clones first to use this.

By zooming in on the image [image] more careful selection is possible. Click the left mouse button to zoom in and the right mouse button to zoom out.


Publishing StroMotion

Creating StroMotion results is done using a Publishing wizard almost identical to that used by SimulCam. It is initiated by clicking the Publish button in the final step of StroMotion and StroMotion Fixed projects.

Publishing can produce a choice of two results described below. After selecting an output type and clicking the Next button, the remaining steps are described fully in the SimulCam chapter (see Publishing new video clips in the Simulcam chapter).

StroMotion still image

A bitmap (.bmp) picture of all clones superimposed on the background. If a panning camera was used, clones are superimposed on a panoramic background image. An example of this is shown below.

Although bitmap and jpeg images will appear in the Items List, no Dartfish modules are used to display them; if opened from the Items List they will actually be opened using default Windows image display/editing software on your computer.

StroMotion video

The original video has each clone appear and remain on the video image as the movement develops.


Saving StroMotion

It is possible to save a Stromotion project if you wish to return to it to make adjustments or publish it's results later. StroMotion projects are represented by the following icon in the Items List.

Save the settings used to create the project by selecting Save as... from the File menu.


StroMotion Fixed

StroMotion Fixed is used when the camera does not zoom or pan. To achieve a truly "fixed" camera, a tripod must be used. If the camera is not fixed, use Stromotion instead.

The process of creating a StroMotion Fixed clip and panorama image involves two steps where you will:

1. Load & trim the video clip.

2. Select performers/objects to be cloned


Load & trim the video clip

Loading the video clip

Open the clip of your choice from the items list or tray. Once loaded, if you wish to use a different clip simply load another clip.

Trim the clip (set cue in & out points)

After you have loaded the clip, use the timeline to trim it. Including only the movement of interest will produce a better result more quickly.


Drawing clone objects

The process of creating clones is almost exactly the same as step 4 of StroMotion (see Step 4 - Draw clones & save results). In summary, you will:

Find key frames.

Draw clone objects.

Automatic insertion

StroMotion Fixed does have one feature that isn't common to StroMotion and that is the ability to automatically insert clones at a fixed interval set by the scroll arrows on the right of the image below.

Using this button clones the entire image and removes the need to individually clone specific objects; because the background stays fixed, different positions of the moving objects appear cloned.

This saves a lot of time and is excellent for observing changes through time. However, because it is not selection specific, overlap of the performer from one clone to the next may create some odd results as shown below.

Here the hands and club are the cloned objects.
Automatic insertion shows the club position equally well.


Saving StroMotion Fixed

Saving Stromotion Fixed projects and publishing the results is done identically to Stromotion. See Saving Stromotion and Publishing Stromotion for further details.


Next steps

StroMotion & StroMotion Fixed are one of Dartfish's special effects allowing you to view movement in unique ways. You may also be interested in the following topics:

Read the topic SimulCam & SimulCam fixed for another Dartfish special effect enabling you to place two performers together in the same place and time.

The spline drawing tool (see chapter on Analyzer) is another way of tracking and illustrating movement.

The Analyzer module offers another way of identifying key positions and uses them to bookmark these moments and turn them into still images.

Having created these unique images, you may want to share them by CD, email or internet (see Sharing video files in the Video Library chapter).